org.apache.log4j.chainsaw

## Class RuleMediator

- java.lang.Object
- - org.apache.log4j.rule.AbstractRule
  - - org.apache.log4j.chainsaw.RuleMediator

- All Implemented Interfaces:
    Serializable, org.apache.log4j.rule.Rule

      public class RuleMediator
      extends org.apache.log4j.rule.AbstractRule

  A mediator class that implements the Rule interface, by combining several optional rules used by Chainsaw's filtering GUI's into a single Rule.

  Setting the individual sub-rules propagates a PropertyChangeEvent as per standard Java beans principles.

  Author:
    Paul Smith <psmith@apache.org>, Scott Deboy <sdeboy@apache.org>
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleMediator(boolean findRuleRequired)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(org.apache.log4j.spi.LoggingEvent e, Map matches)`
    `boolean` | `isFindRuleRequired()`
    `void` | `setFilterRule(org.apache.log4j.rule.Rule r)`
    `void` | `setFindRule(org.apache.log4j.rule.Rule r)`
    `void` | `setLoggerRule(org.apache.log4j.rule.Rule r)`

    - ### Methods inherited from class org.apache.log4j.rule.AbstractRule

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleMediator

          public RuleMediator(boolean findRuleRequired)

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(org.apache.log4j.spi.LoggingEvent e,
                                  Map matches)

    - #### isFindRuleRequired

          public boolean isFindRuleRequired()

    - #### setFilterRule

          public void setFilterRule(org.apache.log4j.rule.Rule r)

    - #### setFindRule

          public void setFindRule(org.apache.log4j.rule.Rule r)

    - #### setLoggerRule

          public void setLoggerRule(org.apache.log4j.rule.Rule r)

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.